%global momorel 6
%global dbus_version		1.0
%global dbus_glib_version	0.71
%global gtk2_version            2.13.6
%global gnome_vfs2_version      2.4
%global libsexy_version         0.1.11
%global gnome_doc_utils_version 0.3.2
%global polkit_version          0.9
%global intltool_version        0.35

Summary: PolicyKit integration for the GNOME desktop
Name: PolicyKit-gnome
Version: 0.9.2
Release: %{momorel}m%{?dist}
License: GPLv2+ and LGPLv2+
Group: System Environment/Libraries
URL: http://svn.gnome.org/viewvc/policykit-gnome/trunk
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-%{version}-dont-spawn-when-running-under-gdm.patch
Patch1: %{name}-%{version}-fix-clickable-buttons.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: PolicyKit >= %{polkit_version}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: gtk2 >= %{gtk2_version}
BuildRequires: PolicyKit-devel >= %{polkit_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: dbus-glib >= %{dbus_glib_version}
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gtk-doc
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: intltool >= %{intltool_version}
BuildRequires: libsexy-devel >= %{libsexy_version}
BuildRequires: gnome-doc-utils-devel
Provides: PolicyKit-authentication-agent

%description 
PolicyKit-gnome provides a GNOME integration library and tools for
PolicyKit including an Authentication Agent that matches the look and
feel of the GNOME desktop.

%package demo
License: GPLv2+
Summary: Demo application for PolicyKit-gnome
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description demo 
Policy-gnome-demo provides a sample application that demonstrates the
features of both PolicyKit and PolicyKit-gnome. You normally don't
want to have this package installed.
#'

%package libs
License: LGPLv2+
Summary: PolicyKit-gnome libraries
Group: Development/Libraries
Requires: gtk2 >= %{gtk2_version}
Requires: PolicyKit >= %{polkit_version}

%description libs
Libraries provided by PolicyKit-gnome

%package devel
License: LGPLv2+
Summary: Headers, libraries and API docs for PolicyKit-gnome
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: PolicyKit-devel >= %{polkit_version}
Requires: PolicyKit-docs >= %{polkit_version}

%description devel 
This package provides headers, libraries and API docs for
PolicyKit-gnome.

%prep
%setup -q

%patch0 -p0 -b .no-spawning-under-gdm
%patch1 -p0 -b .fix-clickable-buttons

%build
gtkdocize --copy
autoreconf -vfi

%configure
make

%install
rm -rf --preserve-root %{buildroot}

make install DESTDIR=%{buildroot}

desktop-file-install --vendor="" --delete-original  \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-only-show-in=GNOME \
  %{buildroot}%{_datadir}/applications/polkit-gnome-authorization.desktop

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/polkit-gnome.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  [ -f %{_sysconfdir}/gconf/schemas/polkit-gnome.schemas ] && \
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/polkit-gnome.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/polkit-gnome.schemas > /dev/null || :
fi

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%{_sysconfdir}/gconf/schemas/polkit-gnome.schemas
%{_bindir}/polkit-gnome-authorization
%{_libexecdir}/polkit-gnome-manager
%{_datadir}/applications/polkit-gnome-authorization.desktop
%{_datadir}/dbus-1/services/gnome-org.freedesktop.PolicyKit.AuthenticationAgent.service
%{_datadir}/dbus-1/services/org.gnome.PolicyKit.service
%{_datadir}/dbus-1/services/org.gnome.PolicyKit.AuthorizationManager.service

%files libs
%defattr(-,root,root,-)
%{_libdir}/libpolkit-gnome.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/PolicyKit/polkit-gnome
%{_libdir}/pkgconfig/polkit-gnome.pc
%{_libdir}/libpolkit-gnome.so
%{_datadir}/gtk-doc/html/polkit-gnome

%files demo
%defattr(-,root,root,-)
%{_bindir}/polkit-gnome-example
%{_datadir}/PolicyKit/policy/org.gnome.policykit.examples.policy

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.2-6m)
- full rebuild for mo7 release

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.2-5m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.2-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Jul 11 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.2-3m)
- add BuildRequires
 
* Mon Mar  9 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.2-2m)
- fix %%pre not to show warnig

* Sat Mar  7 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-1m)
- version 0.9.2
- import fix-clickable-buttons.patch from Fedora
 +* Fri Feb 06 2009 Richard Hughes <rhughes@redhat.com> - 0.9.2-1
 +- Apply a patch to fix applications using PolicyKit-gnome with widgets
 +  that only email clicked events. More bugs to find yet.
- update dont-spawn-when-running-under-gdm.patch
- remove i18n.patch
- Provides: PolicyKit-authentication-agent
- remove BR and Requires: gnome-vfs2
- remove BR and Requires: libsexy

* Thu Feb 26 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8-4m)
- rebuild against libxcb-1.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8-3m)
- rebuild against rpm-4.6

* Sat May 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8-2m)
- add patch1 from Fedora (for gdm-2.22.0)

* Sat Apr 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-1m)
- version 0.8
- import i18n.patch from Fedora
- fix %%files (add %%defattr(-,root,root,-))
- add %%post and %%postun libs

* Sat Dec 15 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7-1m)
- import from Fedora

* Thu Dec  6 2007 David Zeuthen <davidz@redhat.com> - 0.7-1%{?dist}
- Update to latest upstream release

* Mon Oct 22 2007 Matthias Clasen <mclasen@redhat.com> - 0.6-2
- Rebuild against new dbus-glib

* Thu Oct 11 2007 David Zeuthen <davidz@redhat.com> - 0.6-1%{?dist}
- Update to latest upstream release

* Tue Sep 25 2007 David Zeuthen <davidz@redhat.com> - 0.6-0.git20070925%{?dist}
- Update to git snapshot

* Mon Sep  3 2007 Matthias Clasen <mclasen@redhat.com> - 0.5-4
- Add gettext BR

* Fri Aug 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-3%{?dist}
- Rebuild

* Fri Aug 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-2%{?dist}
- Require newer PolicyKit release

* Fri Aug 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-1%{?dist}
- Upstream release 0.5

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731.4%{?dist}
- Add BR for intltool

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731.3%{?dist}
- Add BR for gnome-doc-utils

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731.2%{?dist}
- Rebuild

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731.1%{?dist}
- Rebuild and require PolicyKit >= 0.5

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731%{?dist}
- Update to git snapshot

* Wed Jul 25 2007 David Zeuthen <davidz@redhat.com> - 0.4-1%{?dist}
- Update to 0.4

* Tue Jun 19 2007 David Zeuthen <davidz@redhat.com> - 0.3-1%{?dist}
- Initial build.
